Bug 236806 - multimedia/py-kaa-metadata: drop dependency on graphics/py-exiv2
Summary: multimedia/py-kaa-metadata: drop dependency on graphics/py-exiv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-26 15:03 UTC by J.R. Oldroyd
Modified: 2019-04-01 17:42 UTC (History)
3 users (show)

See Also:
fbsd: maintainer-feedback+


Attachments
patch to update port from 0.7.7_15 to 0.7.7_16 (834 bytes, patch)
2019-03-26 15:03 UTC, J.R. Oldroyd
fbsd: maintainer-approval+
Details | Diff
patch to update port from 0.7.7_15 to 0.7.7_16 (917 bytes, patch)
2019-03-30 18:53 UTC, J.R. Oldroyd
fbsd: maintainer-approval+
Details | Diff
Use exiv2, do not depend on py-exiv2 (895 bytes, patch)
2019-03-30 20:18 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2019-03-26 15:03:23 UTC
Created attachment 203164 [details]
patch to update port from 0.7.7_15 to 0.7.7_16

graphics/py-exiv2 is being deprecated at the end of this month.  This update replaces it with graphics/gexiv2.
Comment 1 Raphael Kubo da Costa freebsd_committer 2019-03-30 13:28:13 UTC
Can you provide a build log for this update? I tried to test this on Poudriere and the build failed because there is no Python-flavored gexiv2 port.
Comment 2 J.R. Oldroyd 2019-03-30 18:53:35 UTC
Created attachment 203262 [details]
patch to update port from 0.7.7_15 to 0.7.7_16

Drop dependency on exiv2 instead.
Comment 3 Raphael Kubo da Costa freebsd_committer 2019-03-30 20:18:11 UTC
Created attachment 203266 [details]
Use exiv2, do not depend on py-exiv2

It turns out the port's exiv2 plugin just needs exiv2, not the Python bindings (the port builds a Python module that uses exiv2). This patch just drops the bogus py-exiv2 dependency and explicitly depends one exiv2 instead.
Comment 4 J.R. Oldroyd 2019-04-01 15:04:45 UTC
OK, great!  Obviously, my use of the higher-level app that uses this library isn't making use of the code that uses the exiv functionality as everything is still working for me without the exiv library installed!

Thanks for spotting that, Raphael.
Comment 5 commit-hook freebsd_committer 2019-04-01 17:38:30 UTC
A commit references this bug:

Author: rakuco
Date: Mon Apr  1 17:37:48 UTC 2019
New revision: 497494
URL: https://svnweb.freebsd.org/changeset/ports/497494

Log:
  Fix gexiv dependencies in the port.

  The port was erroneously depending on graphics/py-exiv2 while in fact it only
  needs exiv2 itself (which was always present anyway because py-exiv2 depends on
  it). This port builds a Python module that links against exiv2, so clarify the
  situation and stop depending on py-exiv2, which is BROKEN and DEPRECATED.

  PR:		236806
  Approved by:	J.R. Oldroyd <fbsd@opal.com> (maintainer)

Changes:
  head/multimedia/py-kaa-metadata/Makefile
Comment 6 commit-hook freebsd_committer 2019-04-01 17:40:35 UTC
A commit references this bug:

Author: rakuco
Date: Mon Apr  1 17:39:32 UTC 2019
New revision: 497495
URL: https://svnweb.freebsd.org/changeset/ports/497495

Log:
  MFH: r497494

  Fix gexiv dependencies in the port.

  The port was erroneously depending on graphics/py-exiv2 while in fact it only
  needs exiv2 itself (which was always present anyway because py-exiv2 depends on
  it). This port builds a Python module that links against exiv2, so clarify the
  situation and stop depending on py-exiv2, which is BROKEN and DEPRECATED.

  PR:		236806
  Approved by:	J.R. Oldroyd <fbsd@opal.com> (maintainer)

  Approved by:	ports-secteam (blanket approval)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/multimedia/py-kaa-metadata/Makefile
Comment 7 Raphael Kubo da Costa freebsd_committer 2019-04-01 17:42:13 UTC
Done, thanks for reviewing!